Skip to main content
GET
Get an OTP challenge

Authorizations

Authorization
string
header
required

Session JWT (from register/login) or API key (pk_...). X-API-Key: <token> is accepted as an alternative header.

Path Parameters

challengeID
string<uuid>
required

Response

The challenge.

challenge_id
string<uuid>
account_id
string<uuid>
action
enum<string>
Available options:
login,
payout,
crypto_withdrawal,
transfer,
banking_operation,
card_reveal,
api_key_create,
member_add,
phone_change
channel
enum<string>
Available options:
sms,
whatsapp
phone
string

Masked phone the code was sent to.

status
enum<string>
Available options:
pending,
verified,
consumed,
expired
created_at
string<date-time>
expires_at
string<date-time>
verified_at
string<date-time>
consumed_at
string<date-time>
Last modified on July 18, 2026